# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-03-15 07:44
from __future__ import unicode_literals

import django.contrib.postgres.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('wazimap', '0012_auto_20190111_1342'),
    ]

    operations = [
        migrations.AlterField(
            model_name='dataset',
            name='name',
            field=models.CharField(help_text='Friendly name of this dataset.', max_length=100, unique=True),
        ),
        migrations.AlterField(
            model_name='dbtable',
            name='name',
            field=models.CharField(help_text='Name of the physical database table containing data for this DB table.', max_length=100, unique=True),
        ),
        migrations.AlterField(
            model_name='fieldtable',
            name='denominator_key',
            field=models.CharField(blank=True, help_text='The key value of the rightmost field that should be used as the "total" column, instead of summing over the values for each row. This is necessary when the table doesn\'t describe a true partitioning of the dataset (ie. the row values sum to more than the total population).  This will be used as the total column once the id of the column has been calculated.', max_length=150, null=True),
        ),
        migrations.AlterField(
            model_name='fieldtable',
            name='description',
            field=models.CharField(blank=True, help_text='Helpful description of this table (optional). Generated automatically for FieldTables if left blank.', max_length=1024, null=True),
        ),
        migrations.AlterField(
            model_name='fieldtable',
            name='fields',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=150, unique=True), help_text='Comma-separated ordered list of fields this table describes.', size=None),
        ),
        migrations.AlterField(
            model_name='fieldtable',
            name='has_total',
            field=models.BooleanField(default=True, help_text='Does it make sense to calculate a total column and express percentages for values in this table?'),
        ),
        migrations.AlterField(
            model_name='fieldtable',
            name='name',
            field=models.SlugField(help_text='Name for this table. No spaces.', max_length=1024, unique=True),
        ),
        migrations.AlterField(
            model_name='fieldtable',
            name='stat_type',
            field=models.CharField(choices=[('number', 'number'), ('percentage', 'percentage')], default='number', max_length=10),
        ),
        migrations.AlterField(
            model_name='fieldtable',
            name='universe',
            field=models.CharField(help_text="Universe this table describes, such as 'Population', 'Households', or 'Youth aged 15-24'.", max_length=1024),
        ),
        migrations.AlterField(
            model_name='fieldtable',
            name='value_type',
            field=models.CharField(choices=[('Integer', 'Integer'), ('Float', 'Float')], default='Integer', max_length=20),
        ),
        migrations.AlterField(
            model_name='geography',
            name='version',
            field=models.CharField(db_index=True, default='', max_length=100),
        ),
        migrations.AlterField(
            model_name='release',
            name='citation',
            field=models.TextField(blank=True, help_text='What the user should use when citing this data.', null=True),
        ),
        migrations.AlterField(
            model_name='release',
            name='name',
            field=models.CharField(help_text='Name of this release, excluding the year.', max_length=100),
        ),
        migrations.AlterField(
            model_name='release',
            name='year',
            field=models.CharField(help_text='Primary year of this release. Will be used for sorting.', max_length=50),
        ),
        migrations.AlterField(
            model_name='simpletable',
            name='description',
            field=models.CharField(blank=True, help_text='Helpful description of this table (optional). Generated automatically for FieldTables if left blank.', max_length=1024, null=True),
        ),
        migrations.AlterField(
            model_name='simpletable',
            name='name',
            field=models.SlugField(help_text='Name for this table. No spaces.', max_length=1024, unique=True),
        ),
        migrations.AlterField(
            model_name='simpletable',
            name='stat_type',
            field=models.CharField(choices=[('number', 'number'), ('percentage', 'percentage')], default='number', max_length=10),
        ),
        migrations.AlterField(
            model_name='simpletable',
            name='total_column',
            field=models.CharField(blank=True, help_text="Name of the column that contains the total value of all the columns in the row. Wazimap usse this to express column values as a percentage. If this is not set, the table doesn't have the concept of a total and only absolute values (not percentages) will be displayed.", max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='simpletable',
            name='universe',
            field=models.CharField(help_text="Universe this table describes, such as 'Population', 'Households', or 'Youth aged 15-24'.", max_length=1024),
        ),
    ]
